import { EqContext, EqBroker, Widget } from '@easyquery/core';
import { AdvancedSearchView } from '@easyquery/ui';
export declare class AdvancedSearchViewJQuery extends AdvancedSearchView {
    private selectQueryMenu;
    constructor();
    protected initDone(): void;
    protected createDefaultBroker(context: EqContext): EqBroker;
    protected createEntitiesPanelWidget(entitiesPanelSlot: HTMLElement): Widget;
    protected createColumnsPanelWidget(columnsPanelSlot: HTMLElement): Widget;
    protected createQueryPanelWidget(queryPanelSlot: HTMLElement): Widget;
    protected fillLoadQueryButtonMenu(queryList: any, onQuerySelect: (queryId: string) => void): void;
}
